.step-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding-right: 60px;
    margin-top: 50px;
}

.step-single:nth-child(1),
.step-single:nth-child(1):before {
    background: var(--secondary-lighter-blue);
    
}
.step-single:nth-child(1):before{
    z-index: 3;
}
.step-single:nth-child(2),
.step-single:nth-child(2):before {
    background: #002C46;
    margin-left: -20px;

}
.step-single:nth-child(2):before{
    z-index: 2;
}

.step-single:nth-child(3), 
.step-single:nth-child(3):before {
    background: var(--secondary-heavy-blue);
    margin-left: -20px;
}
.step-single:nth-child(3):before{
    z-index: 1;
}

.step-single p {
    margin-bottom: 0;
    font-size: 36px;
    font-weight: 800;
}

.step-single {
    padding: 50px 70px 55px;
    border-radius: 20px;
    position: relative;
    text-align: center;
}

.step-single:before {
    content: "";
    position: absolute;
    width: 120px;
    height: 111px;
    right: -45px;
    border-radius: 20px;
    top: 50%;
    transform: translate(0px, -50%) rotate(45deg);
}
.step_3_cards.block-custom h2 {
    margin-top: 0;
}
@media only screen and (max-width:1024px){
    .step-single {
        padding: 30px 20px 37px;
    }
    .step-single:before {
        width: 73px;
        height: 75px;
        right: -24px;
        border-radius: 10px;
    }
    .step-single p {
        margin-bottom: 0;
        font-size: 24px;
    }
}
@media only screen and (max-width:767px){
    .step-grid {
        grid-template-columns: 1fr;
        margin: 30px auto 0;
        padding: 0;
    }
    .step-single:nth-child(2), .step-single:nth-child(2):before {
        margin-left: 0;
    }
    .step-single:nth-child(3), .step-single:nth-child(3):before {
        margin-left: 0;
    }
    .step-single p {
        padding-right: 30px;
        font-size: 32px;
    }
    .step-single {
        padding: 40px 20px 40px;
        border-radius: 20px;
        width: 90%;
    }
    .step-single:before {
        width: 91px;
        height: 88px;
        right: -30px;
        border-radius: 20px;
    }
}